RAPTOR(1)

NAME
Raptor - A fast and space-efficient pre-filter for querying very large collections of nucleotide sequences.

DESCRIPTION
Raptor is a system for approximately searching many queries such as next-generation sequencing reads or transcripts in large collections of nucleotide sequences. Raptor uses winnowing minimizers to define a set of representative k-mers, an extension of the interleaved Bloom filters (IBFs) as a set membership data structure and probabilistic thresholding for minimizers. Our approach allows compression and partitioning of the IBF to enable the effective use of secondary memory.

SUBCOMMANDS
This program must be invoked with one of the following subcommands:
- build
- layout
- prepare
- search
- upgrade

See the respective help page for further details (e.g. by calling Raptor build -h).

The following options below belong to the top-level parser and need to be specified before the subcommand key word. Every argument after the subcommand key word is passed on to the corresponding sub-parser.

OPTIONS

  Common options

-h, --help
    Prints the help page.

-hh, --advanced-help
    Prints the help page including advanced options.

--version
    Prints the version information.

--copyright
    Prints the copyright/license information.

--export-help (std::string)
    Export the help page information. Value must be one of [html, man, ctd, cwl].

VERSION
Last update: Unavailable
Raptor version: 3.0.1 (commit unavailable)
Sharg version: 1.1.1
SeqAn version: 3.4.0

URL
https://github.com/seqan/raptor

LEGAL
Raptor Copyright: BSD 3-Clause License
Author: Enrico Seiler
Contact: enrico.seiler@fu-berlin.de
SeqAn Copyright: 2006-2023 Knut Reinert, FU-Berlin; released under the 3-clause BSDL.
In your academic works please cite: Raptor: A fast and space-efficient pre-filter for querying very large collections of nucleotide sequences; Enrico Seiler, Svenja Mehringer, Mitra Darvish, Etienne Turc, and Knut Reinert; iScience 2021 24 (7): 102782. doi: https://doi.org/10.1016/j.isci.2021.102782
For full copyright and/or warranty information see --copyright.